# Uses of Class
org.eclipse.draw2d.graph.Path

Packages that use Path
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.
org.eclipse.draw2d.graph
Stand-alone algorithms related to Graph Drawing.

## Uses of Path in org.eclipse.draw2d

Methods in org.eclipse.draw2d that return types with arguments of type Path
Modifier and Type
Method
Description
`List<Path>`
ShortestPathConnectionRouter.`getPathsAfterRouting()`

## Uses of Path in org.eclipse.draw2d.graph

Methods in org.eclipse.draw2d.graph that return types with arguments of type Path
Modifier and Type
Method
Description
`List<Path>`
ShortestPathRouter.`solve()`
Updates the points in the paths in order to represent the current solution with the given paths and obstacles.
Methods in org.eclipse.draw2d.graph with parameters of type Path
Modifier and Type
Method
Description
`void`
ShortestPathRouter.`addPath(Path path)`
Adds a path to the routing.
`boolean`
ShortestPathRouter.`removePath(Path path)`
Removes the given path from the routing.